package main

import (
	"git.d3nexus.de/Dadido3/D3vugu-components/components/input"
	"git.d3nexus.de/Dadido3/D3vugu-components/components/overlay"
	"git.d3nexus.de/Dadido3/D3vugu-components/icons"
	"github.com/vugu/vugu"
)

type PageOverlays struct {
	overlay.OverlayContainerRef
}

func (c *PageOverlays) handleButton(event vugu.DOMEvent) {
	c.SetModal(&overlay.ModalRequester{
		SymbolSlot: &icons.LInfoCircle{AttrMap: vugu.AttrMap{"style": "font-size: 2em;"}},
		Title:      "Simple requester",
		Message:    "This is a simple modal requester, are you happy with it?\nIt also supports multi line text!",
		ClickAbort: input.ClickFunc(func(event input.ClickEvent) {}),
		ClickYes:   input.ClickFunc(func(event input.ClickEvent) {}),
	})
}
